//*********************************************
//         SHADER
//*********************************************
//	ID		:	lib1_glass.shader
//	Autor	:	tremap
//	Date	:	00.00.0000 (m.d.y)
//	Version	:	0.0.1
//	History	:	none
//	Copyleft:
//*********************************************
//	alpha	:	_a
//	diffuse :	_d
//	height	:	_h
//	normal	:	_n
//	shader	:	_s
//	specular:	_p
//*********************************************
//	INDEX	18
//	|--	GLASS	xx
//	|	|--	yellow	--	wave: 	face: 	pipe: 	fog: 
//	|--	CRYSTAL	xx
//	|--	MIRROR	xx
//*********************************************
//
//---------------------------------------------
//-- GLASS
//---------------------------------------------
//
//-- glass
//---------------------------------------------
textures/lib1_glass/glass01a_s1
{	qer_editorimage textures/lib1_glass/blend/glass01a_d1.tga
	qer_trans 0.5
	surfaceparm trans
	cull none
	{	map textures/lib1_glass/blend/glass01a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
	}
}
textures/lib1_glass/glass02a_s1
{	qer_editorimage textures/lib1_glass/blend/glass02a_d1.tga
	qer_trans 0.5
	surfaceparm trans
	cull none
	{	map textures/lib1_glass/blend/glass02a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
	}
}
textures/lib1_glass/glass03a_s1
{	qer_editorimage textures/lib1_glass/blend/glass03a_d1.tga
	qer_trans 0.5
	surfaceparm trans
	cull none
	{	map textures/lib1_glass/blend/glass03a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
	}
}
textures/lib1_glass/glass04a_s1
{	qer_editorimage textures/lib1_glass/blend/glass04a_d1.tga
	qer_trans 0.5
	surfaceparm trans
	cull none
	{	map textures/lib1_glass/blend/glass04a_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
	}
}
textures/lib1_glass/glass_nodmg
{
        qer_editorimage textures/lib1_glass/blend/glass.tga
        qer_trans .75
        surfaceparm alphashadow
        surfaceparm nodamage
        surfaceparm trans
        {
            map textures/lib1_glass/blend/glass.tga
            blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
            rgbGen identity
        }
        {
            map textures/lib1_glass/blend/platform_tint2.tga
            blendFunc GL_ONE GL_ONE
            rgbGen identity
			rgbGen const ( 0.3 0.3 0.3 )
            tcGen environment
            tcMod scale 2 2
        }
        {
            map $lightmap
            blendFunc GL_DST_COLOR GL_ZERO
            rgbGen identity
        }
}
//
//---------------------------------------------
//-- CRYSTAL
//---------------------------------------------
//
//-- crystal -- blue
//---------------------------------------------
textures/lib1_glass/crystal02a_s1
{	qer_editorimage textures/lib1_glass/blend/crystal02a_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_glass/blend/crystal02a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	cull none
	{	map textures/lib1_glass/blend/platform_tint2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/crystal02b_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//
//-- crystal -- red
//---------------------------------------------
textures/lib1_glass/crystal03a_s1
{	qer_editorimage textures/lib1_glass/blend/crystal03a_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_glass/blend/crystal03a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	cull none
	{	map textures/lib1_glass/blend/platform_tint2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/crystal03b_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//
//-- crystal -- green
//---------------------------------------------
textures/lib1_glass/crystal05a_s1
{	qer_editorimage textures/lib1_glass/blend/crystal05a_d1.tga
	qer_trans 0.5
		q3map_lightimage textures/lib1_glass/blend/crystal05a_d1.tga
		q3map_globaltexture
		q3map_surfacelight 100
	cull none
	{	map textures/lib1_glass/blend/platform_tint2.tga
		blendfunc GL_ONE GL_ONE
		tcMod scale 1 1
		rgbGen identity
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{	map textures/lib1_glass/blend/crystal05b_d1.tga
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.1 0.1 0.1 )
		rgbGen identity
	}
}
//
//---------------------------------------------
//-- MIRROR
//---------------------------------------------
//
//-- glass -- mirror
//---------------------------------------------
textures/lib1_glass/mirror01a_s1
{	qer_editorimage textures/lib1_glass/blend/glass01a_d1.tga
	surfaceparm nolightmap
	portal
	{
		map textures/misato-san/chrome_tint2.tga
		tcMod scale  1 1
		blendfunc GL_ONE GL_ONE
		rgbGen const ( 0.2 0.2 0.2 )
		tcGen environment
	}
	{
		map textures/lib1_glass/blend/glass01a_d1.tga
		rgbGen const ( 0.1 0.1 0.1 )
		blendfunc GL_ONE GL_ONE
		depthWrite
	}
}